package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_CLOUD_ROLE = "user_cloud_role"
	CLOUD_UID       = "cloud_uid"
	CLOUD_TYPE      = "cloud_type"
	RELEASE_UID     = "release_uid"
)

type UserCloud struct {
	db.ModelUserPlace
	CloudUID string `gorm:"type:char(32);index"`
}
type Cloud struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Release struct {
	db.ModelContent
	CloudUID string `gorm:"type:char(32);index"`
}
type Container struct {
	db.ModelWithUID
	CloudUID string `gorm:"type:char(32);index"`
	UserUID  string `gorm:"type:char(32);index"`
	Space    string `gorm:"type:char(128);uniqueIndex"`
	Name     string `gorm:"type:char(64)"`
}

func init() { db.CmdModels("", &UserCloud{}, &Cloud{}, &Release{}, &Container{}) }
